import machine

# Pin assignments for L298N H-bridge
motor1_in1 = machine.Pin(6, machine.Pin.OUT)
motor1_in2 = machine.Pin(7, machine.Pin.OUT)

motor2_in1 = machine.Pin(8, machine.Pin.OUT)
motor2_in2 = machine.Pin(9, machine.Pin.OUT)

# Function to control motor direction
def control_motor(motor_in1, motor_in2, direction):
    if direction == 'forward':
        motor_in1.on()
        motor_in2.off()
    elif direction == 'backward':
        motor_in1.off()
        motor_in2.on()
    elif direction == 'stop':
        motor_in1.off()
        motor_in2.off()
    else:
        raise ValueError('Invalid direction')

# Example usage: Run both motors forward for 2 seconds
control_motor(motor1_in1, motor1_in2, 'backward')
control_motor(motor2_in1, motor2_in2, 'backward')
machine.sleep(2000)

# Stop both motors
control_motor(motor1_in1, motor1_in2, 'stop')
control_motor(motor2_in1, motor2_in2, 'stop')

1