from machine import Pin
from time import sleep

IN1 = Pin(2, Pin.OUT)
IN2 = Pin(3, Pin.OUT)
IN3 = Pin(4, Pin.OUT)
IN4 = Pin(5, Pin.OUT)

pins = [IN1, IN2, IN3, IN4]

sequence_clockwise = [[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]]
sequence_counterclockwise = [[0, 0, 0, 1], [0, 0, 1, 0], [0, 1, 0, 0], [1, 0, 0, 0]]

steps_per_revolution = 200  # Adjust this based on your motor's specifications
delay = 0.001  # Delay between steps in seconds

# Set all pins to LOW initially
for pin in pins:
    pin.value(0)

def step_forward(num_steps):
    sequence = sequence_clockwise
    for _ in range(num_steps):
        for step in sequence:
            for i in range(len(pins)):
                pins[i].value(step[i])
            sleep(delay)

def step_backward(num_steps):
    sequence = sequence_counterclockwise
    for _ in range(num_steps):
        for step in sequence:
            for i in range(len(pins)):
                pins[i].value(step[i])
            sleep(delay)

# Repeat the movement
while True:
    # Move 100 steps forward
    step_forward(100)
    sleep(1)  # Pause for 1 second
    
    # Move 100 steps backward
    step_backward(100)
    sleep(1)  # Pause for 1 second

# Set all pins to LOW before exiting
for pin in pins:
    pin.value(0)
